{ pkgs, brewTea, mkMarkdollPlugin }: brewTea {
  name = "examples_quickstart";
  version = "0.0.0";
  
  src = ./.;
  layoutSrc = ./layouts;

  # maybe don't do this but its possible to reference _any file_.
  defaultLayout = ./layouts/default.html;

  # these are mostly for alias purposes...
  # can do an [invoke(plural)(...):yay!] type thing
  # one can invoke stuff inline too without doing this.
  markdollPlugins = [
    (mkMarkdollPlugin "plural" ./plugins/plural.sh)
    ((mkMarkdollPlugin "tools" ./plugins/tools.py).override { buildInputs = [ pkgs.python3 ]; })
  ];
}